# 64bit spec-file
#
# UfficioZero Copyright by Julian DelVecchio

%define name		wallpaper-theme-ufficiozero
%define pname		Lorena-2025
%define version		1.0
%define release		%mkrel 2

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		UfficioZero Default Wallpaper Theme 2025
URL:			http://www.ufficiozero.org
Group:			Graphical desktop/KDE5
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
Source1:        lorena-2024.jpg
Source2:        lorena-2025.jpg
Source3:        xfce-pclinuxos.png		
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:		noarch
Obsoletes:		wallpaper-theme-default
Provides:		wallpaper-theme-default = %version-%release
Provides:       wallpaper-theme-pclinuxos

%description
%{summary}

%prep
%setup -q

%install
%__rm -rf %buildroot

install -d -m 755 %buildroot%{_datadir}/wallpapers
cp -fr * %buildroot%{_datadir}/wallpapers
install -d -m 755 %buildroot%{_datadir}/backgrounds/xfce/


install -m 0644 %SOURCE1 %buildroot%{_datadir}/wallpapers
install -m 0644 %SOURCE2 %buildroot%{_datadir}/wallpapers
install -m 0644 %SOURCE3 %buildroot%{_datadir}/backgrounds/xfce/xfce-pclinuxos.png

%posttrans
rm -rf /var/tmp/kdecache-*/plasma-wallpapers

if [ ! -d %{_datadir}/wallpapers/Default ]; then
mkdir -p %{_datadir}/wallpapers/Default
fi

cd %{_datadir}/wallpapers/Default
cat > metadata.desktop << "EOF"
[Desktop Entry]
Name=Default
EOF
rm -f contents
ln -fs ../%{pname}/contents contents

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_datadir}/wallpapers/%{pname}/*
%dir %{_datadir}/wallpapers/%{pname}
%{_datadir}/wallpapers/lorena-2024.jpg
%{_datadir}/wallpapers/lorena-2025.jpg
%{_datadir}/backgrounds/xfce/xfce-pclinuxos.png
/usr/share/wallpapers/LICENSE.md
%doc LICENSE.md

%changelog
* Wed Jan 18 2025 adrianomorselli <dev@ufficiozero.org> 1.0-2ufficiozero2025
- added xfce wallpaper default

* Wed Dec 18 2024 adrianomorselli <dev@ufficiozero.org> 1.0-1ufficiozero2024
- 1st create
